## com.sun.grizzly.util
Class Cloner

    java.lang.Object
      com.sun.grizzly.util.Cloner

    public class Cloner

extends Object

Class Cloner creates a clone of given object, which should implement interface `Copyable`

Author:
  Alexey Stashok

Constructor Summary
`Cloner()`

Method Summary

`static

`<T extends Copyable> T`

`

`clone(T pattern)`
Method creates a clone of given object pattern Pattern parameter should implement <class>Copyable</class> interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cloner

    public Cloner()

Method Detail

### clone

    public static <T extends Copyable> T clone(T pattern)

  Method creates a clone of given object pattern Pattern parameter should implement <class>Copyable</class> interface

  Parameters:
    `pattern` - represents object, which will be cloned. Should implement `Copyable`
  Returns:
    clone

Copyright © 2008 SUN Microsystems. All Rights Reserved.